ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Create pricing page for existing subscription

Idempotency Supported
Try in API Explorer

This endpoint streamlines the generation of a pricing page session to enable subscription upgrade , and downgrade workflows using Chargebee's hosted pricing pages (Atomic Pricing ). By providing a subscription ID as a parameter, you will obtain a hosted pricing page session URL.

Note: Full access key authentication is needed for this API request.

Sample Request

URL Format

POST https://[site].chargebee.com/api/v2/pricing_page_sessions/create_for_existing_subscription

Input Parameters

redirect_url
optional, string, max chars=250

The customers will be redirected to this URL upon successful checkout.

custom
optional, jsonobject

JSON object of custom attributes (key-value pairs) used for pricing page targeting or content. Configure custom attributes in the dashboard.

pricing_page
Parameters for pricing_page
pass parameters as pricing_page[<param name>]
subscription
Parameters for subscription
pass parameters as subscription[<param name>]
contract_term
Parameters for contract_term
pass parameters as contract_term[<param name>]
discounts[0..n]
Parameters for discounts. Multiple discounts can be passed by specifying unique indices.
pass parameters as discounts[<param name>][<idx:0..n>]

Returns

pricing_page_sessionPricing page session object
Resource object representing pricing_page_session